io.vertx.reactivex.cassandra

## Class ResultSet

- java.lang.Object
- - io.vertx.reactivex.cassandra.ResultSet

-     public class ResultSet
      extends Object

  It is like `ResultSet`, but adapted for Vert.x.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ResultSet>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet(Object delegate)`
    `ResultSet(ResultSet delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet` | `all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)` The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)`.
    `boolean` | `equals(Object o)`
    `ResultSet` | `fetchMoreResults(Handler<AsyncResult<Void>> handler)`
    `List<com.datastax.driver.core.ExecutionInfo>` | `getAllExecutionInfo()`
    `int` | `getAvailableWithoutFetching()`
    `com.datastax.driver.core.ColumnDefinitions` | `getColumnDefinitions()`
    `ResultSet` | `getDelegate()`
    `com.datastax.driver.core.ExecutionInfo` | `getExecutionInfo()`
    `int` | `hashCode()`
    `boolean` | `isExhausted()`
    `boolean` | `isFullyFetched()`
    `static ResultSet` | `newInstance(ResultSet arg)`
    `ResultSet` | `one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)` The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`.
    `Single<List<com.datastax.driver.core.Row>>` | `rxAll()` The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)`.
    `Completable` | `rxFetchMoreResults()`
    `Maybe<com.datastax.driver.core.Row>` | `rxOne()` The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`.
    `Single<List<com.datastax.driver.core.Row>>` | `rxSeveral(int amount)` Fetch a specific amount of rows and notify via a handler.
    `ResultSet` | `several(int amount, Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)` Fetch a specific amount of rows and notify via a handler.
    `String` | `toString()`
    `boolean` | `wasApplied()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResultSet> __TYPE_ARG

  - ### Constructor Detail

    - #### ResultSet

          public ResultSet(ResultSet delegate)

    - #### ResultSet

          public ResultSet(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResultSet getDelegate()

    - #### isExhausted

          public boolean isExhausted()

      Returns:

    - #### isFullyFetched

          public boolean isFullyFetched()

      Returns:

    - #### getAvailableWithoutFetching

          public int getAvailableWithoutFetching()

      Returns:

    - #### fetchMoreResults

          public ResultSet fetchMoreResults(Handler<AsyncResult<Void>> handler)

      Parameters:
        `handler` - handler called when result is fetched
      Returns:

    - #### rxFetchMoreResults

          public Completable rxFetchMoreResults()

      Returns:

    - #### wasApplied

          public boolean wasApplied()

      Returns:

    - #### one

          public ResultSet one(Handler<AsyncResult<com.datastax.driver.core.Row>> handler)

      The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`. This may lead to unexpected result.
      Parameters:
        `handler` - handler called when one row is fetched
      Returns:

    - #### rxOne

          public Maybe<com.datastax.driver.core.Row> rxOne()

      The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`. This may lead to unexpected result.
      Returns:

    - #### several

          public ResultSet several(int amount,
                                   Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)

      Fetch a specific amount of rows and notify via a handler.

      If remaining amount of rows in a result set is less than desired amount of rows to fetch, the `handler` will be called with a successful result encompassing just the remaining rows.

      The method should not be used concurrently with others like `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`. This may lead to unexpected result.

      Parameters:
        `amount` - the amount
        `handler` - the handler
      Returns:

    - #### rxSeveral

          public Single<List<com.datastax.driver.core.Row>> rxSeveral(int amount)

      Fetch a specific amount of rows and notify via a handler.

      If remaining amount of rows in a result set is less than desired amount of rows to fetch, the `handler` will be called with a successful result encompassing just the remaining rows.

      The method should not be used concurrently with others like `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)` or `all(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)`. This may lead to unexpected result.

      Parameters:
        `amount` - the amount
      Returns:

    - #### all

          public ResultSet all(Handler<AsyncResult<List<com.datastax.driver.core.Row>>> handler)

      The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)`. This may lead to unexpected result.
      Parameters:
        `handler` - handler called when all the rows is fetched
      Returns:

    - #### rxAll

          public Single<List<com.datastax.driver.core.Row>> rxAll()

      The method should not be used concurrently with others like `several(int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<com.datastax.driver.core.Row>>>)` or `one(io.vertx.core.Handler<io.vertx.core.AsyncResult<com.datastax.driver.core.Row>>)`. This may lead to unexpected result.
      Returns:

    - #### getColumnDefinitions

          public com.datastax.driver.core.ColumnDefinitions getColumnDefinitions()

      Returns:

    - #### getExecutionInfo

          public com.datastax.driver.core.ExecutionInfo getExecutionInfo()

      Returns:

    - #### getAllExecutionInfo

          public List<com.datastax.driver.core.ExecutionInfo> getAllExecutionInfo()

      Returns:

    - #### newInstance

          public static ResultSet newInstance(ResultSet arg)

Copyright © 2020 Eclipse. All rights reserved.